﻿Imports System.Data
Imports Infragistics.Web.UI.ListControls

Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            _dd.DataSource = Me.GetEmployees(10)
        End If

        _dd.TextField = "Name"
        _dd.ValueField = "EmployeeID"
        _dd.DataBind()

    End Sub

    Protected Sub _dd_SelectionChanged(ByVal sender As Object, ByVal e As Infragistics.Web.UI.ListControls.DropDownSelectionChangedEventArgs) Handles _dd.SelectionChanged

    End Sub

    Protected Sub Button1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button1.Click

        ' Use FindControl to retrieve WebDropDown from Page
        Dim wdd As WebDropDown = DirectCast(Page.FindControl("_dd"), WebDropDown)

        ' Create a List of WebDropDown SelectedItems
        Dim items As List(Of DropDownItem) = wdd.SelectedItems

        ' Declare new StringBuilder Dim
        Dim builder As New StringBuilder

        ' Loop the WebDropDown Items to retrieve SelectedItems
        For Each item As DropDownItem In wdd.Items
            If item.Selected Then
                ' Append a string to the StringBuilder & Append a line break
                builder.Append("Item " + item.Text + " is Selected").AppendLine()
            End If
        Next

        ' Get internal String value from StringBuilder
        tBox.Text = builder.ToString

    End Sub

#Region "Sample Data"

    Private Function GetEmployees(ByVal rows As Integer) As DataTable
        Dim dtData As DataTable

        If Not Me.IsPostBack Then
            dtData = New DataTable("Employees")

            Dim col As DataColumn = dtData.Columns.Add("EmployeeID", GetType(Integer))
            dtData.Columns.Add("Name", GetType(String))
            dtData.PrimaryKey = New DataColumn() {col}

            For i As Integer = 0 To rows
                dtData.Rows.Add(New Object() {i, String.Format("Name {0}", i)})
            Next
            Session("dtData") = dtData
        Else
            dtData = DirectCast(Session("dtData"), DataTable)
        End If

        Return dtData
    End Function

#End Region

End Class
